[RFE] Auto deploy devstack with API under apache

Bug #1513005 reported by Anton Arefiev on 2015-11-04
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ironic
Fix Released
Wishlist
Oksana Voshchana
Ironic Inspector
Confirmed
Wishlist
Unassigned

Bug Description

There are no automatic way to deploy Ironic API under apache with devstack, it would be good to have Ironic toggle to enable this mode as other Openstack components does.

 Ironic already has wsgi app and apache conf template, so we need just to parameterize it.

Anton Arefiev (aarefiev) on 2015-11-04
Changed in ironic:
importance: Undecided → Wishlist
assignee: nobody → Anton Arefiev (aarefiev)
status: New → In Progress
Joanna Taryma (jtaryma) on 2017-01-25
Changed in ironic:
assignee: Anton Arefiev (aarefiev) → Joanna Taryma (jtaryma)

+2 to approving this RFE, as it's implementing something likely to be an OpenStack-wide priority for Pike.

summary: - Auto deploy devstack with ir-api under apache
+ [RFE] Auto deploy devstack with ir-api under apache
tags: added: rfe

17:14:33 <dtantsur> JayF, joanna, I'm +2 on it, feel free to add rfe-approved

With Dimitry on board as well, approving.

tags: added: rfe-approved
removed: rfe

Change abandoned by Anton Arefiev (<email address hidden>) on branch: master
Review: https://review.openstack.org/241550
Reason: superseded by 430851

Changed in ironic:
assignee: Joanna Taryma (jtaryma) → Oksana Voshchana (ovoshchana)
Changed in ironic:
assignee: Oksana Voshchana (ovoshchana) → Yuriy Zveryanskyy (yzveryanskyy)
Changed in ironic:
assignee: Yuriy Zveryanskyy (yzveryanskyy) → Oksana Voshchana (ovoshchana)
Changed in ironic:
assignee: Oksana Voshchana (ovoshchana) → Pavlo Shchelokovskyy (pshchelo)
Changed in ironic:
assignee: Pavlo Shchelokovskyy (pshchelo) → Oksana Voshchana (ovoshchana)

Reviewed: https://review.openstack.org/430851
Committed: https://git.openstack.org/cgit/openstack/ironic/commit/?id=5d22cfe1a8f12fad83526fa7c75cb669e2f3a8ce
Submitter: Jenkins
Branch: master

commit 5d22cfe1a8f12fad83526fa7c75cb669e2f3a8ce
Author: anascko <email address hidden>
Date: Wed Feb 8 13:36:55 2017 +0200

    Add wsgi handling to ironic-api in devstack

    Adds handling of running ironic API under Apache as WSGI app to
    devstack plugin.

    New variable IRONIC_USE_MOD_WSGI (False by default) is added.
    Another new variable IRONIC_WSGI_DIR (default is distro specific) is
    also added, which specifies location for WSGI scripts.

    Change-Id: I9c5ad56e1acd292ff0f9cc9b460125fc420abda5
    Closes-Bug: #1513005

Changed in ironic:
status: In Progress → Fix Released

As a note, this is running in the {pipeline}-ironic-dsvm-standalone-{node}{suffix} job. It's in the check queue, non-voting, at the time of this writing.

Changed in ironic:
status: Fix Released → In Progress

Let's wait to call this done until it is in a voting job.

I'm also told there is more work to be done here, at least https://review.openstack.org/#/c/444337/ and maybe WSGI by default.

Dmitry Tantsur (divius) on 2017-03-17
summary: - [RFE] Auto deploy devstack with ir-api under apache
+ [RFE] Auto deploy devstack with API under apache
Changed in ironic-inspector:
status: New → Confirmed
importance: Undecided → Wishlist

This issue was fixed in the openstack/ironic 8.0.0 release.

Reviewed: https://review.openstack.org/444337
Committed: https://git.openstack.org/cgit/openstack/ironic/commit/?id=c971ceef5aa2a794155ec7aeb7d4d8890bf32bdd
Submitter: Jenkins
Branch: master

commit c971ceef5aa2a794155ec7aeb7d4d8890bf32bdd
Author: anascko <email address hidden>
Date: Fri Mar 10 16:33:49 2017 +0200

    Add /baremetal path instead of port 6385

    The long-standing goal in OpenStack is to stop using custom ports for
    services and only use subpaths like /identity or /compute. This change
    enables the /baremetal subpath in our devstack plugin.

    Closes-Bug: #1513005

    Change-Id: Iaac8764394a13c4851d2ebbf3b91a380ba2aa49f

Changed in ironic:
status: In Progress → Fix Released

This issue was fixed in the openstack/ironic 9.0.0 release.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers